
TYPO3 Flow Base Distribution - Task # 48148

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-05-13 Assigned To: Christian Müller
Updated: 2013-09-03 Due date:
Subject: Allow PropertyMapping of strings to arrays
Description

Primary usecase is empty string to empty array for ajax generated options where "nothing" is also possible, but comma delimited
strings could also happen with certain UI elements.

Related issues:
duplicated by TYPO3.Flow - Bug # 52068: ArrayConverter should accept empty st... Closed 2013-09-17

Associated revisions
Revision af810292 - 2013-09-03 16:08 - Christian Müller

[FEATURE] Allow String source for ArrayConverter

ArrayConverter can now convert strings to arrays. It uses
explode internally with a default delimiter of ",".
The delimiter is configurable with the key "stringDelimiter" in
propertyMapping configuration for the ArrayConverter.

Change-Id: I376b8c3027095a88dc5ade094198fef04dd50174
Resolves: #48148
Releases: master

History
#1 - 2013-05-13 15:56 - Christian Müller
- Tracker changed from Bug to Task

#2 - 2013-05-13 16:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737

#3 - 2013-05-28 10:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737

#4 - 2013-05-28 10:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737
#5 - 2013-06-27 20:21 - Helmut Hummel

Christian Mueller wrote:

Primary usecase is empty string to empty array for ajax generated options where "nothing" is also possible, but comma delimited strings could also
happen with certain UI elements.

I suggest to split this in two patch sets. One that can only convert empty strings to empty arrays (which fixes a bug with the checkbox viewhelper in
older branches, see #47832) and in a second iteration add the feature to be able to explode strings by delimiter to an array. The latter can then only go
into the master branch.

#6 - 2013-07-08 18:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737

#7 - 2013-08-22 15:51 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737

#8 - 2013-09-03 16:09 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20737

#9 - 2013-09-03 16:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:af810292032f7adf7437bc9fd385a8dc2ec04339.
